(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     54168,       1121]
NotebookOptionsPosition[     53451,       1095]
NotebookOutlinePosition[     53874,       1111]
CellTagsIndexPosition[     53831,       1108]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"NOTES", ":", "\[IndentingNewLine]", 
    RowBox[{
    "This", " ", "program", " ", "allows", " ", "one", " ", "to", " ", 
     "generate", " ", "a", " ", "network", " ", "according", " ", "to", " ", 
     "the", " ", "parameters", " ", "of", " ", "the", " ", "model", " ", "in",
      " ", "Jackson", " ", "and", " ", "Rogers", " ", 
     RowBox[{
      RowBox[{"(", "2006", ")"}], ".", "  ", "\[IndentingNewLine]", "The"}], 
     " ", "output", " ", "is", " ", "in", " ", "the", " ", "form", " ", "of", 
     " ", "two", " ", 
     RowBox[{"variables", ":", " ", 
      RowBox[{"DirectedInLinks", " ", "and", " ", 
       RowBox[{"DirectedOutLinks", ".", "  ", "DirectedInLinks"}], " ", "is", 
       " ", "a", " ", "list", " ", "of", " ", "lists"}]}]}]}], ",", " ", 
   RowBox[{
   "where", " ", "the", " ", "ith", " ", "element", " ", "is", " ", "a", " ", 
    "list", " ", "of", " ", "the", " ", "nodes", " ", "that", " ", "have", 
    " ", "links", " ", "pointing", " ", "to", " ", 
    RowBox[{"i", ".", "  ", "The"}], " ", "ith", " ", "element", " ", "of", 
    " ", "DirectedOutLinks", " ", "is", " ", "a", " ", "list", " ", "of", " ",
     "the", " ", "nodes", " ", "that", " ", "have", " ", "links", " ", 
    "pointing", " ", "to", " ", "them", " ", "from", " ", 
    RowBox[{"i", ".", "  ", "Thus"}], " ", "the", " ", "two", " ", 
    "variables", " ", "can", " ", "each", " ", "be", " ", "constructed", " ", 
    "from", " ", "the", " ", "other"}], ",", " ", 
   RowBox[{
   "and", " ", "have", " ", "length", " ", "equal", " ", "to", " ", "the", 
    " ", "number", " ", "of", " ", "nodes", " ", "in", " ", "the", " ", 
    RowBox[{"graph", "."}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell["1 graph", "Chapter",
 CellChangeTimes->{{3.6319627871105185`*^9, 3.631962795631531*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "PARAMETERS", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
   "Import", "[", "\"\<D:\\Peter\\projects\\ana\\mathematica\\ToMatlab.m\>\"",
     "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6319590048847017`*^9, 3.63195902506573*^9}, {
   3.6319590648517866`*^9, 3.631959065981788*^9}, 3.6319627787505074`*^9, {
   3.631963153367055*^9, 3.631963153542065*^9}, {3.631967442278654*^9, 
   3.631967442358654*^9}, {3.631967716314042*^9, 3.6319677164240417`*^9}, {
   3.6319679207173305`*^9, 3.631967922647333*^9}, 3.632025890048006*^9, {
   3.6320259749681263`*^9, 3.632025975138127*^9}, 3.632028173675762*^9, 
   3.632028542137286*^9, {3.632028602077371*^9, 3.6320286026913724`*^9}, 
   3.63202863648742*^9, {3.632028691801499*^9, 3.6320287117015266`*^9}, {
   3.632028764138105*^9, 3.6320288481352277`*^9}, {3.632028879361272*^9, 
   3.6320289485203714`*^9}, {3.6320290022674475`*^9, 3.632029018634471*^9}, {
   3.6320291111766033`*^9, 3.6320291340246353`*^9}, {3.6320291699846864`*^9, 
   3.632029182478704*^9}, {3.6320292193947563`*^9, 3.6320292197447567`*^9}, 
   3.6320292723588314`*^9, 3.632055194444931*^9, 3.632055960716267*^9, {
   3.632056095541457*^9, 3.6320561169874883`*^9}, 3.632056154616541*^9, {
   3.6321160280110254`*^9, 3.6321160287820263`*^9}, {3.632199537940906*^9, 
   3.6321995382109065`*^9}, {3.633180005935073*^9, 3.6331800386581264`*^9}, {
   3.6331800977422175`*^9, 3.63318011698825*^9}, {3.6331801507193003`*^9, 
   3.633180156990309*^9}, {3.633180236752431*^9, 3.6331802368324313`*^9}, {
   3.6332362421088657`*^9, 3.633236243908868*^9}, {3.6332362825129237`*^9, 
   3.6332363177319736`*^9}, {3.633236441902153*^9, 3.6332364524661674`*^9}, {
   3.6332365024322395`*^9, 3.6332365247322726`*^9}, 3.6339723452963953`*^9, {
   3.633973668993106*^9, 3.63397367535347*^9}},
 EmphasizeSyntaxErrors->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Functions", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "randSample", " ", "generates", " ", "a", " ", "random", " ", "sample", 
     " ", "of", " ", "size", " ", "k", " ", "from", " ", "integers", " ", 
     "1"}], ",", "...", ",", 
    RowBox[{"n", " ", 
     RowBox[{"w", "/", "o"}], " ", "replacement"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"randSample", "[", 
     RowBox[{"n_", ",", "k_"}], "]"}], ":=", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"k", "\[LessEqual]", "n"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"numbers", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Random", "[", 
             RowBox[{"Integer", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "n"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", "k", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"needRedo", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"needRedo", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"needRedo", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"ii", "=", "1"}], ",", 
              RowBox[{"ii", "\[LessEqual]", 
               RowBox[{"(", 
                RowBox[{"k", "-", "1"}], ")"}]}], ",", 
              RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"jj", "=", 
                  RowBox[{"ii", "+", "1"}]}], ",", 
                 RowBox[{"jj", "\[LessEqual]", "k"}], ",", 
                 RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "numbers", "\[LeftDoubleBracket]", "ii", 
                    "\[RightDoubleBracket]"}], "\[Equal]", 
                    RowBox[{
                    "numbers", "\[LeftDoubleBracket]", "jj", 
                    "\[RightDoubleBracket]"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "numbers", "\[LeftDoubleBracket]", "jj", 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"Random", "[", 
                    RowBox[{"Integer", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "n"}], "}"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"needRedo", "=", "1"}], ";"}]}], 
                   "\[IndentingNewLine]", "]"}], ";"}]}], 
                RowBox[{"(*", "if", "*)"}], "\[IndentingNewLine]", "]"}], 
               ";"}]}], 
             RowBox[{"(*", "jj", "*)"}], "\[IndentingNewLine]", "]"}], 
            ";"}]}], 
          RowBox[{"(*", "ii", "*)"}], "\[IndentingNewLine]", "]"}], ";", 
         RowBox[{"(*", "while", "*)"}], "\[IndentingNewLine]", 
         RowBox[{"sample", "=", "numbers"}], ";"}], "\[IndentingNewLine]", 
        ",", 
        RowBox[{
         RowBox[{"sample", "=", "0"}], ";"}]}], "]"}], ";", 
      RowBox[{"(*", "if", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "sample", "]"}], ";"}], "\[IndentingNewLine]", 
     ")"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Make", " ", "connections"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"filename", "=", 
    RowBox[{
    "OpenWrite", "[", "\"\<D:\\Peter\\projects\\ana\\matlab\\jr4_plow.m\>\"", 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"WriteMatlab", "[", 
     RowBox[{"\"\<clear all\>\"", ",", "filename"}], " ", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"mutato", "=", "1"}], ",", 
      RowBox[{"mutato", "<", "500"}], ",", 
      RowBox[{"mutato", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nEdges", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"ForceInDegree", "=", "1"}], ";", " ", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "force", " ", "some", " ", "parents", " ", "to", " ", "connect", " ",
           "to", " ", "the", " ", "entering", " ", 
          RowBox[{"node", ":", " ", 
           RowBox[{
           "set", " ", "between", " ", "0", " ", "and", " ", "mR"}]}]}], ",", 
         " ", "inclusive"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"defaultDeg", "=", "0"}], ";", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{
          "default", " ", "initial", " ", "degree", " ", "given", " ", "to", 
           " ", "nodes", " ", "m0"}], "+", 
          RowBox[{"1", " ", "through", " ", "T", " ", "at", " ", "birth"}]}], 
         ";", " ", 
         RowBox[{
          RowBox[{"doesn", "'"}], "t", " ", "actually", " ", "correspond", 
          " ", "to", " ", "a", " ", "link"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"m0", "=", "9"}], ";", 
       RowBox[{"(*", 
        RowBox[{
        "#", " ", "of", " ", "initial", " ", "nodes", " ", "in", " ", 
         "network"}], "*)"}], 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"set", " ", "m0"}], "\[GreaterEqual]", 
          RowBox[{"m", "+", "1"}]}], "=", 
         RowBox[{"mR", "+", "mS", "+", "1"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"T", "=", "45"}], ";", 
       RowBox[{"(*", 
        RowBox[{"number", " ", "of", " ", 
         RowBox[{"periods", "/", "additional"}], " ", "nodes", " ", "to", " ",
          "add"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"pR", "=", "0.3"}], ";", 
       RowBox[{"(*", 
        RowBox[{
        "Pr", " ", "random", " ", "link", " ", "is", " ", "profitable"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"pS", "=", "pR"}], ";", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Pr", " ", "network"}], "-", 
         RowBox[{"based", " ", "link", " ", "is", " ", "profitable"}]}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"mS", "=", 
        RowBox[{"2", "+", 
         RowBox[{"Floor", "[", 
          RowBox[{"mutato", "/", "100"}], "]"}]}]}], ";", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "#", " ", "of", " ", "nodes", " ", "found", " ", "through", " ", 
          "network"}], "-", 
         RowBox[{"based", " ", "meetings"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"mR", "=", 
        RowBox[{"6", "-", 
         RowBox[{"Floor", "[", 
          RowBox[{"mutato", "/", "100"}], "]"}]}]}], ";", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"#", " ", "of", " ", "random", " ", "links", " ", 
          RowBox[{"(", "parents", ")"}], " ", "to", " ", "consider"}], ",", 
         " ", 
         RowBox[{
          RowBox[{"must", " ", "be"}], " ", "\[GreaterEqual]", "1"}]}], 
        "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"mInit", "=", "8"}], ";", 
       RowBox[{"(*", "mS", "*)"}], ";", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "#", " ", "of", " ", "links", " ", "formed", " ", "by", " ", "each", 
          " ", "of", " ", "the", " ", "m0", " ", "initial", " ", "nodes"}], 
         ";", " ", 
         RowBox[{"set", " ", "\[LessEqual]", 
          RowBox[{"m0", "-", "1"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"m", "=", 
        RowBox[{"mR", "+", "mS"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "total", " ", "#", " ", "links", " ", "considered", " ", "by", " ", 
         "each", " ", "entering", " ", "node"}], "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"DirectedOutLinks", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"m0", "+", "T"}], "}"}]}], "]"}]}], ";", 
       RowBox[{"(*", 
        RowBox[{"lists", " ", "of", " ", "outgoing", " ", "connections"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"DirectedInLinks", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"m0", "+", "T"}], "}"}]}], "]"}]}], ";", 
       RowBox[{"(*", 
        RowBox[{"lists", " ", "of", " ", "incoming", " ", "connections"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"inDegrees", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m0", "+", "T"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "m0"}], ",", 
         RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Label", "[", "selfD", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"cons", "=", 
           RowBox[{"randSample", "[", 
            RowBox[{"m0", ",", "mInit"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"MemberQ", "[", 
             RowBox[{"cons", ",", "i"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Goto", "[", "selfD", "]"}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "DirectedOutLinks", "\[LeftDoubleBracket]", "i", 
            "\[RightDoubleBracket]"}], "=", "cons"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"j", "=", "1"}], ",", 
            RowBox[{"j", "\[LessEqual]", 
             RowBox[{"Length", "[", "cons", "]"}]}], ",", 
            RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"AppendTo", "[", 
              RowBox[{
               RowBox[{"DirectedInLinks", "\[LeftDoubleBracket]", 
                RowBox[{
                "cons", "\[LeftDoubleBracket]", "j", 
                 "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], ",", 
               "i"}], "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"inDegrees", "\[LeftDoubleBracket]", 
               RowBox[{
               "cons", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}],
                "\[RightDoubleBracket]"}], "++"}], ";", "\[IndentingNewLine]", 
             RowBox[{"nEdges", "++"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
          ";"}]}], 
        RowBox[{"(*", "j", "*)"}], "\[IndentingNewLine]", "]"}], ";", 
       RowBox[{"(*", "i", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "assign", " ", "default", " ", "inDegree", " ", "for", " ", 
         "entering", " ", "nodes"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", 
           RowBox[{"m0", "+", "1"}]}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"m0", "+", "T"}]}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
            "inDegrees", "\[LeftDoubleBracket]", "i", 
             "\[RightDoubleBracket]"}], "=", "defaultDeg"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"t", "=", 
           RowBox[{"m0", "+", "1"}]}], ",", 
          RowBox[{"t", "\[LessEqual]", 
           RowBox[{"(", 
            RowBox[{"m0", "+", "T"}], ")"}]}], ",", 
          RowBox[{"t", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "find", " ", "parents", " ", "uniformly", " ", "at", " ", 
            "random"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"parents", "=", 
            RowBox[{"randSample", "[", 
             RowBox[{
              RowBox[{"t", "-", "1"}], ",", "mR"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"nodesToSearch", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"p", "=", "1"}], ",", 
             RowBox[{"p", "\[LessEqual]", "mR"}], ",", 
             RowBox[{"p", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"curPHood", "=", 
               RowBox[{"DirectedOutLinks", "\[LeftDoubleBracket]", 
                RowBox[{
                "parents", "\[LeftDoubleBracket]", "p", 
                 "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"nodesToSearch", "=", 
               RowBox[{"Union", "[", 
                RowBox[{"nodesToSearch", ",", "curPHood"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"connect", " ", "to", " ", "parent"}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Random", "[", "]"}], "\[LessEqual]", "pR"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{
                   "DirectedOutLinks", "\[LeftDoubleBracket]", "t", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{
                   "parents", "\[LeftDoubleBracket]", "p", 
                    "\[RightDoubleBracket]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"DirectedInLinks", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "parents", "\[LeftDoubleBracket]", "p", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], ",",
                    "t"}], "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"inDegrees", "\[LeftDoubleBracket]", 
                   RowBox[{
                   "parents", "\[LeftDoubleBracket]", "p", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], 
                  "++"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"nEdges", "++"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", 
              RowBox[{"(*", "if", "*)"}], "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
               "parent", " ", "connect", " ", "to", " ", "new", " ", "node"}],
                "*)"}], "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"p", "\[LessEqual]", "ForceInDegree"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"DirectedOutLinks", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "parents", "\[LeftDoubleBracket]", "p", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], ",",
                    "t"}], "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{
                   "DirectedInLinks", "\[LeftDoubleBracket]", "t", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{
                   "parents", "\[LeftDoubleBracket]", "p", 
                    "\[RightDoubleBracket]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                  "inDegrees", "\[LeftDoubleBracket]", "t", 
                   "\[RightDoubleBracket]"}], "++"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"nEdges", "++"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}]}]}], 
            RowBox[{"(*", "if", "*)"}], "\[IndentingNewLine]", "]"}], ";", 
           RowBox[{"(*", "p", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"searchNodePositions", "=", 
            RowBox[{"randSample", "[", 
             RowBox[{
              RowBox[{"Length", "[", "nodesToSearch", "]"}], ",", "mS"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "mS"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Random", "[", "]"}], "\[LessEqual]", "pS"}], " ", "&&",
                 " ", 
                RowBox[{
                 RowBox[{"Length", "[", "searchNodePositions", "]"}], 
                 "\[Equal]", "mS"}]}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{
                  "DirectedOutLinks", "\[LeftDoubleBracket]", "t", 
                   "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"nodesToSearch", "\[LeftDoubleBracket]", 
                   RowBox[{
                   "searchNodePositions", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}]}], 
                 "]"}], ";", 
                RowBox[{"g", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"DirectedInLinks", "\[LeftDoubleBracket]", 
                    RowBox[{"nodesToSearch", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "searchNodePositions", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ",", "t"}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"inDegrees", "\[LeftDoubleBracket]", 
                  RowBox[{"nodesToSearch", "\[LeftDoubleBracket]", 
                   RowBox[{
                   "searchNodePositions", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}], 
                  "\[RightDoubleBracket]"}], "++"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"nEdges", "++"}], ";"}]}], "\[IndentingNewLine]", 
              "]"}]}], 
            RowBox[{"(*", "if", "*)"}], "\[IndentingNewLine]", "]"}]}]}], 
         RowBox[{"(*", "j", "*)"}], "\[IndentingNewLine]", "]"}]}], ";", 
       RowBox[{"(*", "t", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"edges", "=", 
        RowBox[{"Union", "[", 
         RowBox[{"Sort", "/@", 
          RowBox[{"Flatten", "[", 
           RowBox[{"MapIndexed", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Thread", "[", 
               RowBox[{
                RowBox[{"First", "[", "#2", "]"}], "\[UndirectedEdge]", "#"}],
                "]"}], "&"}], ",", "DirectedInLinks"}], "]"}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Graph", "[", "edges", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"count", "=", 
        RowBox[{"ToString", "[", "mutato", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"VertexCount", "[", "g", "]"}], "\[Equal]", 
           RowBox[{"T", "+", "m0"}]}], "&&", 
          RowBox[{
           RowBox[{"Max", "[", 
            RowBox[{"Diagonal", "[", 
             RowBox[{"AdjacencyMatrix", "[", "g", "]"}], "]"}], "]"}], 
           "\[Equal]", "0"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"WriteMatlab", "[", 
           RowBox[{
            RowBox[{"Normal", "[", 
             RowBox[{"AdjacencyMatrix", "[", "g", "]"}], "]"}], ",", 
            "filename", " ", ",", " ", 
            RowBox[{"\"\<A8(:,:,\>\"", "<>", "count", "<>", "\"\<)\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteMatlab", "[", 
           RowBox[{
            RowBox[{"mR", "/", "mS"}], ",", "filename", " ", ",", " ", 
            RowBox[{"\"\<rmat(\>\"", "<>", "count", "<>", "\"\<)\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteMatlab", "[", 
           RowBox[{"pR", ",", "filename", " ", ",", " ", 
            RowBox[{"\"\<pmat(\>\"", "<>", "count", "<>", "\"\<)\>\""}]}], 
           "]"}], ";"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"mutato", "=", 
           RowBox[{"mutato", "-", "1"}]}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"WriteMatlab", "[", 
     RowBox[{"\"\<save('jrdat4plow')\>\"", ",", "filename"}], " ", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Close", "[", "filename", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.632051380875161*^9, 3.6320513839551654`*^9}, {
   3.6320518048687625`*^9, 3.6320518420288157`*^9}, {3.6320520316030855`*^9, 
   3.6320520824691567`*^9}, {3.632052235859374*^9, 3.6320522403493805`*^9}, {
   3.632052495519744*^9, 3.6320525749118567`*^9}, {3.6320526123659096`*^9, 
   3.63205261280591*^9}, 3.632052704798041*^9, {3.6320527752461405`*^9, 
   3.6320528753102827`*^9}, {3.6320529074733276`*^9, 3.632052938523371*^9}, {
   3.6320539839968557`*^9, 3.6320539988768764`*^9}, 3.632054247543229*^9, 
   3.6320556935748863`*^9, 3.632055827974078*^9, {3.6321112792440057`*^9, 
   3.6321113297320776`*^9}, {3.63211138101215*^9, 3.6321113843621545`*^9}, {
   3.632111643510522*^9, 3.6321117039606075`*^9}, {3.632113258029705*^9, 
   3.632113288280748*^9}, {3.632113328625805*^9, 3.6321133315758095`*^9}, {
   3.6321145023225527`*^9, 3.6321145661656427`*^9}, {3.632114760463919*^9, 
   3.63211476080392*^9}, {3.6331769693877363`*^9, 3.633176995925774*^9}, {
   3.633177280922181*^9, 3.6331773158062315`*^9}, {3.633178082778607*^9, 
   3.633178101048632*^9}, 3.6331781690237293`*^9, {3.6331783504269886`*^9, 
   3.633178350856989*^9}, {3.633180253626459*^9, 3.633180259728468*^9}, 
   3.633236559152322*^9, {3.6339723009328575`*^9, 3.6339723014578876`*^9}, {
   3.6339723774332333`*^9, 3.6339723799933796`*^9}, {3.6339724123722315`*^9, 
   3.633972442206938*^9}, {3.6339724729686975`*^9, 3.633972485985442*^9}, {
   3.6339725323460937`*^9, 3.633972546467901*^9}, {3.633972641277324*^9, 
   3.6339726478296986`*^9}, {3.63397270677707*^9, 3.6339727134784536`*^9}, {
   3.6339731686094856`*^9, 3.633973170887616*^9}, {3.6339732494861116`*^9, 
   3.633973251306216*^9}, {3.6339737166108294`*^9, 3.633973716703835*^9}, {
   3.6339741611222544`*^9, 3.6339741807643776`*^9}, {3.6339743728803663`*^9, 
   3.63397437382242*^9}, 3.633974803943022*^9, {3.6339749004145393`*^9, 
   3.6339749074469414`*^9}, {3.6342876097006273`*^9, 3.634287610668682*^9}, {
   3.634287733047682*^9, 3.634287740031081*^9}, {3.6342877747020645`*^9, 
   3.6342878053648186`*^9}, {3.6342881158235755`*^9, 
   3.6342881184387255`*^9}, {3.63499353820977*^9, 3.634993543800778*^9}, {
   3.63499358665784*^9, 3.6349936037488637`*^9}, {3.634993639827917*^9, 
   3.634993702958007*^9}, {3.634993805189154*^9, 3.634993813729166*^9}, {
   3.6349938541682253`*^9, 3.634993872661252*^9}, {3.634994271841834*^9, 
   3.6349942752518387`*^9}, {3.634995232695503*^9, 3.6349952633945465`*^9}, {
   3.6349953238976326`*^9, 3.634995325717635*^9}, {3.6350076088506927`*^9, 
   3.6350076550063324`*^9}, {3.6350078714137106`*^9, 
   3.6350078780450897`*^9}, {3.635686088171948*^9, 3.6356861382350283`*^9}, {
   3.6356862030821247`*^9, 3.6356862289241667`*^9}, {3.635686491717586*^9, 
   3.635686540882663*^9}, {3.635686640383823*^9, 3.6356866527238398`*^9}, {
   3.635686717188949*^9, 3.6356867175889497`*^9}, 3.6357767981203566`*^9, 
   3.63577700185568*^9, {3.635777139905899*^9, 3.63577715469592*^9}, 
   3.6357771872919917`*^9, {3.6357772293590574`*^9, 3.635777272401125*^9}, {
   3.6357773219632063`*^9, 3.6357773292492175`*^9}, {3.635777387665305*^9, 
   3.6357773929953127`*^9}, {3.636976617035742*^9, 3.63697669085485*^9}, {
   3.6369767875549955`*^9, 3.636976852686097*^9}, {3.6369768929571652`*^9, 
   3.636976921300212*^9}, {3.6369770972924795`*^9, 3.6369772272246943`*^9}, {
   3.6369774531030693`*^9, 3.636977468547095*^9}, {3.636977562775258*^9, 
   3.636977601571314*^9}, {3.6369779730518837`*^9, 3.6369779801778946`*^9}, {
   3.636978238444131*^9, 3.636978253900157*^9}, 3.63697830350424*^9, {
   3.637042546876911*^9, 3.6370426184710317`*^9}, {3.637042670089113*^9, 
   3.6370426782911253`*^9}, {3.637043320633252*^9, 3.6370433521163063`*^9}, 
   3.637043487101518*^9, {3.637043695399831*^9, 3.6370437072808514`*^9}, 
   3.637043764250944*^9, 3.637043925727207*^9, {3.6376721558595476`*^9, 
   3.6376722128289137`*^9}, 3.6376723868681307`*^9, {3.6376725789132423`*^9, 
   3.6376725908099227`*^9}},
 EmphasizeSyntaxErrors->True],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["OutputStream",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {Thickness[0.0016806722689075631`], 
           {FaceForm[{GrayLevel[0.93], Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {RGBColor[0.699951, 0.699951, 0.699951], Opacity[1.], 
            JoinForm[{ElisionsDump`Miter, 10.}], 
            JoinedCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {FaceForm[{RGBColor[0.5, 0.5, 0.5], Opacity[1.]}], 
            FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}}}, {{{3.52539, 
             1.0035199999999997`}, {2.5250000000000004`, 
             1.0035199999999997`}, {1.6828099999999997`, 
             1.0035199999999997`}, {0.9999999999999999, 
             1.6863299999999997`}, {0.9999999999999999, 
             2.5285199999999994`}, {0.9999999999999999, 
             23.474999999999998`}, {0.9999999999999999, 
             24.317199999999996`}, {1.6828099999999997`, 
             24.999999999999996`}, {2.5250000000000004`, 
             24.999999999999996`}, {3.52539, 24.999999999999996`}, {3.52539, 
             24.999999999999993`}, {5.523440000000001, 22.421099999999996`}, {
             5.523440000000001, 13.0039}, {5.523440000000001, 
             3.5867199999999992`}, {3.52539, 1.0035199999999997`}, {3.52539, 
             1.0035199999999997`}}}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}}}, {{{22.4977, 12.9016}, {17.740599999999997`, 
             16.8398}, {17.740599999999997`, 14.856599999999998`}, {
             19.980900000000002`, 12.947299999999997`}, {17.740599999999997`, 
             10.946100000000001`}, {17.740599999999997`, 8.96289}, {22.4977, 
             12.9016}}}]}, 
           {FaceForm[{RGBColor[
            0.46093800000000007`, 0.46093800000000007`, 0.46093800000000007`],
             Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             9.202339999999998, 12.8969}, {9.202339999999998, 
             12.335499999999998`}, {8.747660000000002, 11.880899999999999`}, {
             8.186329999999998, 11.880899999999999`}, {7.624999999999999, 
             11.880899999999999`}, {7.169920000000001, 12.335499999999998`}, {
             7.169920000000001, 12.8969}, {7.169920000000001, 
             13.458200000000003`}, {7.624999999999999, 13.9133}, {
             8.186329999999998, 13.9133}, {8.747660000000002, 13.9133}, {
             9.202339999999998, 13.458200000000003`}, {9.202339999999998, 
             12.8969}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             12.6227, 12.8969}, {12.6227, 12.335499999999998`}, {
             12.167599999999998`, 11.880899999999999`}, {11.606200000000001`, 
             11.880899999999999`}, {11.0449, 11.880899999999999`}, {
             10.589799999999999`, 12.335499999999998`}, {10.589799999999999`, 
             12.8969}, {10.589799999999999`, 13.458200000000003`}, {11.0449, 
             13.9133}, {11.606200000000001`, 13.9133}, {12.167599999999998`, 
             13.9133}, {12.6227, 13.458200000000003`}, {12.6227, 12.8969}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             16.042600000000004`, 12.8969}, {16.042600000000004`, 
             12.335499999999998`}, {15.587499999999999`, 
             11.880899999999999`}, {15.026199999999998`, 
             11.880899999999999`}, {14.464799999999997`, 
             11.880899999999999`}, {14.010199999999998`, 
             12.335499999999998`}, {14.010199999999998`, 12.8969}, {
             14.010199999999998`, 13.458200000000003`}, {14.464799999999997`, 
             13.9133}, {15.026199999999998`, 13.9133}, {15.587499999999999`, 
             13.9133}, {16.042600000000004`, 13.458200000000003`}, {
             16.042600000000004`, 12.8969}}}]}},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.5],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])]}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Name: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              StyleBox[
               PaneBox["\<\"jr4_plow.m\"\>",
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0,
                ImageSize->{{1, 300}, Automatic},
                StripOnInput->True],
               LineBreakWithin->False],
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Unique ID: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["157",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {Thickness[0.0016806722689075631`], 
           {FaceForm[{GrayLevel[0.93], Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {RGBColor[0.699951, 0.699951, 0.699951], Opacity[1.], 
            JoinForm[{ElisionsDump`Miter, 10.}], 
            JoinedCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {FaceForm[{RGBColor[0.5, 0.5, 0.5], Opacity[1.]}], 
            FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}}}, {{{3.52539, 
             1.0035199999999997`}, {2.5250000000000004`, 
             1.0035199999999997`}, {1.6828099999999997`, 
             1.0035199999999997`}, {0.9999999999999999, 
             1.6863299999999997`}, {0.9999999999999999, 
             2.5285199999999994`}, {0.9999999999999999, 
             23.474999999999998`}, {0.9999999999999999, 
             24.317199999999996`}, {1.6828099999999997`, 
             24.999999999999996`}, {2.5250000000000004`, 
             24.999999999999996`}, {3.52539, 24.999999999999996`}, {3.52539, 
             24.999999999999993`}, {5.523440000000001, 22.421099999999996`}, {
             5.523440000000001, 13.0039}, {5.523440000000001, 
             3.5867199999999992`}, {3.52539, 1.0035199999999997`}, {3.52539, 
             1.0035199999999997`}}}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}}}, {{{22.4977, 12.9016}, {17.740599999999997`, 
             16.8398}, {17.740599999999997`, 14.856599999999998`}, {
             19.980900000000002`, 12.947299999999997`}, {17.740599999999997`, 
             10.946100000000001`}, {17.740599999999997`, 8.96289}, {22.4977, 
             12.9016}}}]}, 
           {FaceForm[{RGBColor[
            0.46093800000000007`, 0.46093800000000007`, 0.46093800000000007`],
             Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             9.202339999999998, 12.8969}, {9.202339999999998, 
             12.335499999999998`}, {8.747660000000002, 11.880899999999999`}, {
             8.186329999999998, 11.880899999999999`}, {7.624999999999999, 
             11.880899999999999`}, {7.169920000000001, 12.335499999999998`}, {
             7.169920000000001, 12.8969}, {7.169920000000001, 
             13.458200000000003`}, {7.624999999999999, 13.9133}, {
             8.186329999999998, 13.9133}, {8.747660000000002, 13.9133}, {
             9.202339999999998, 13.458200000000003`}, {9.202339999999998, 
             12.8969}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             12.6227, 12.8969}, {12.6227, 12.335499999999998`}, {
             12.167599999999998`, 11.880899999999999`}, {11.606200000000001`, 
             11.880899999999999`}, {11.0449, 11.880899999999999`}, {
             10.589799999999999`, 12.335499999999998`}, {10.589799999999999`, 
             12.8969}, {10.589799999999999`, 13.458200000000003`}, {11.0449, 
             13.9133}, {11.606200000000001`, 13.9133}, {12.167599999999998`, 
             13.9133}, {12.6227, 13.458200000000003`}, {12.6227, 12.8969}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             16.042600000000004`, 12.8969}, {16.042600000000004`, 
             12.335499999999998`}, {15.587499999999999`, 
             11.880899999999999`}, {15.026199999999998`, 
             11.880899999999999`}, {14.464799999999997`, 
             11.880899999999999`}, {14.010199999999998`, 
             12.335499999999998`}, {14.010199999999998`, 12.8969}, {
             14.010199999999998`, 13.458200000000003`}, {14.464799999999997`, 
             13.9133}, {15.026199999999998`, 13.9133}, {15.587499999999999`, 
             13.9133}, {16.042600000000004`, 13.458200000000003`}, {
             16.042600000000004`, 12.8969}}}]}},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.5],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])]}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Name: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              
              PaneBox["\<\"D:\\\\Peter\\\\projects\\\\ana\\\\matlab\\\\jr4_\
plow.m\"\>",
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0,
               ImageSize->{{1, 500}, Automatic},
               StripOnInput->True],
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Unique ID: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["157",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Binary: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["False",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Open: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              DynamicBox[ToBoxes[Options[
                  OutputStream[
                  "D:\\Peter\\projects\\ana\\matlab\\jr4_plow.m", 
                   157]] =!= {}, StandardForm],
               UpdateInterval->1],
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Encoding: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["Automatic",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Format: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["InputForm",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Page width: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["78",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Number marks: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["Automatic",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  OutputStream["D:\\Peter\\projects\\ana\\matlab\\jr4_plow.m", 157],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.6320542544432383`*^9, 3.632054260583247*^9}, 
   3.632054311373319*^9, 3.6320549633406043`*^9, 3.632055076907765*^9, 
   3.6320552072799497`*^9, 3.6320557005948963`*^9, {3.6320558348560877`*^9, 
   3.632055854736116*^9}, 3.6320559673662767`*^9, 3.632056122337496*^9, 
   3.632056159476548*^9, 3.632111529292361*^9, 3.632111723535635*^9, 
   3.632112211504328*^9, {3.6321122716544127`*^9, 3.6321122972444487`*^9}, 
   3.632113300700765*^9, 3.632113338078823*^9, 3.632114574195654*^9, 
   3.6321147774939437`*^9, 3.632199544610915*^9, 3.633177007980792*^9, 
   3.633177836831255*^9, 3.633178115327653*^9, 3.6331781780217423`*^9, 
   3.633178378191028*^9, 3.633180167094324*^9, 3.6331802676254807`*^9, 
   3.63323657156234*^9, 3.633972744638236*^9, 3.633972943110588*^9, 
   3.6339730820915375`*^9, 3.6339731890986576`*^9, 3.6339732843771076`*^9, 
   3.6339737266104016`*^9, 3.633974222505765*^9, 3.63397492471793*^9, 
   3.6342876204322405`*^9, 3.6342877476525173`*^9, 3.6342878111891513`*^9, 
   3.6349937257020397`*^9, 3.6349938237981806`*^9, 3.6349939135183105`*^9, 
   3.6349943076718845`*^9, 3.6349952810565715`*^9, 3.634995341318657*^9, 
   3.6350077165148506`*^9, 3.635686219681153*^9, 3.6356862982162724`*^9, 
   3.635686408583455*^9, {3.635686522928632*^9, 3.6356865468226733`*^9}, 
   3.635686658309849*^9, 3.6356867229639573`*^9, 3.635776806772369*^9, 
   3.635777192219*^9, {3.635777234829065*^9, 3.635777259677107*^9}, 
   3.6357773360602274`*^9, 3.63697645076149*^9, 3.636977250155732*^9, 
   3.6369774746071033`*^9, 3.636977663961418*^9, 3.6369781739670277`*^9, 
   3.636978261066169*^9, 3.6370426320780535`*^9, {3.637043328224265*^9, 
   3.6370433573863134`*^9}, 3.6370434946545305`*^9, 3.637043722163877*^9, 
   3.637043770196953*^9, 3.637043932037216*^9, 3.637672219662924*^9, 
   3.6376723945905724`*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{{3.6320542544432383`*^9, 3.632054260583247*^9}, 
   3.632054311373319*^9, 3.6320549633406043`*^9, 3.632055076907765*^9, 
   3.6320552072799497`*^9, 3.6320557005948963`*^9, {3.6320558348560877`*^9, 
   3.632055854736116*^9}, 3.6320559673662767`*^9, 3.632056122337496*^9, 
   3.632056159476548*^9, 3.632111529292361*^9, 3.632111723535635*^9, 
   3.632112211504328*^9, {3.6321122716544127`*^9, 3.6321122972444487`*^9}, 
   3.632113300700765*^9, 3.632113338078823*^9, 3.632114574195654*^9, 
   3.6321147774939437`*^9, 3.632199544610915*^9, 3.633177007980792*^9, 
   3.633177836831255*^9, 3.633178115327653*^9, 3.6331781780217423`*^9, 
   3.633178378191028*^9, 3.633180167094324*^9, 3.6331802676254807`*^9, 
   3.63323657156234*^9, 3.633972744638236*^9, 3.633972943110588*^9, 
   3.6339730820915375`*^9, 3.6339731890986576`*^9, 3.6339732843771076`*^9, 
   3.6339737266104016`*^9, 3.633974222505765*^9, 3.63397492471793*^9, 
   3.6342876204322405`*^9, 3.6342877476525173`*^9, 3.6342878111891513`*^9, 
   3.6349937257020397`*^9, 3.6349938237981806`*^9, 3.6349939135183105`*^9, 
   3.6349943076718845`*^9, 3.6349952810565715`*^9, 3.634995341318657*^9, 
   3.6350077165148506`*^9, 3.635686219681153*^9, 3.6356862982162724`*^9, 
   3.635686408583455*^9, {3.635686522928632*^9, 3.6356865468226733`*^9}, 
   3.635686658309849*^9, 3.6356867229639573`*^9, 3.635776806772369*^9, 
   3.635777192219*^9, {3.635777234829065*^9, 3.635777259677107*^9}, 
   3.6357773360602274`*^9, 3.63697645076149*^9, 3.636977250155732*^9, 
   3.6369774746071033`*^9, 3.636977663961418*^9, 3.6369781739670277`*^9, 
   3.636978261066169*^9, 3.6370426320780535`*^9, {3.637043328224265*^9, 
   3.6370433573863134`*^9}, 3.6370434946545305`*^9, 3.637043722163877*^9, 
   3.637043770196953*^9, 3.637043932037216*^9, 3.637672219662924*^9, 
   3.63767256749959*^9}],

Cell[BoxData["\<\"D:\\\\Peter\\\\projects\\\\ana\\\\matlab\\\\jr4_plow.m\"\>"]\
, "Output",
 CellChangeTimes->{{3.6320542544432383`*^9, 3.632054260583247*^9}, 
   3.632054311373319*^9, 3.6320549633406043`*^9, 3.632055076907765*^9, 
   3.6320552072799497`*^9, 3.6320557005948963`*^9, {3.6320558348560877`*^9, 
   3.632055854736116*^9}, 3.6320559673662767`*^9, 3.632056122337496*^9, 
   3.632056159476548*^9, 3.632111529292361*^9, 3.632111723535635*^9, 
   3.632112211504328*^9, {3.6321122716544127`*^9, 3.6321122972444487`*^9}, 
   3.632113300700765*^9, 3.632113338078823*^9, 3.632114574195654*^9, 
   3.6321147774939437`*^9, 3.632199544610915*^9, 3.633177007980792*^9, 
   3.633177836831255*^9, 3.633178115327653*^9, 3.6331781780217423`*^9, 
   3.633178378191028*^9, 3.633180167094324*^9, 3.6331802676254807`*^9, 
   3.63323657156234*^9, 3.633972744638236*^9, 3.633972943110588*^9, 
   3.6339730820915375`*^9, 3.6339731890986576`*^9, 3.6339732843771076`*^9, 
   3.6339737266104016`*^9, 3.633974222505765*^9, 3.63397492471793*^9, 
   3.6342876204322405`*^9, 3.6342877476525173`*^9, 3.6342878111891513`*^9, 
   3.6349937257020397`*^9, 3.6349938237981806`*^9, 3.6349939135183105`*^9, 
   3.6349943076718845`*^9, 3.6349952810565715`*^9, 3.634995341318657*^9, 
   3.6350077165148506`*^9, 3.635686219681153*^9, 3.6356862982162724`*^9, 
   3.635686408583455*^9, {3.635686522928632*^9, 3.6356865468226733`*^9}, 
   3.635686658309849*^9, 3.6356867229639573`*^9, 3.635776806772369*^9, 
   3.635777192219*^9, {3.635777234829065*^9, 3.635777259677107*^9}, 
   3.6357773360602274`*^9, 3.63697645076149*^9, 3.636977250155732*^9, 
   3.6369774746071033`*^9, 3.636977663961418*^9, 3.6369781739670277`*^9, 
   3.636978261066169*^9, 3.6370426320780535`*^9, {3.637043328224265*^9, 
   3.6370433573863134`*^9}, 3.6370434946545305`*^9, 3.637043722163877*^9, 
   3.637043770196953*^9, 3.637043932037216*^9, 3.637672219662924*^9, 
   3.63767256750159*^9}]
}, Open  ]],

Cell[BoxData["."], "Input",
 CellChangeTimes->{3.636978275043195*^9}]
}, Open  ]]
},
WindowSize->{944, 1102},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (September 9, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1785, 32, 232, "Input"],
Cell[CellGroupData[{
Cell[2368, 56, 94, 1, 72, "Chapter"],
Cell[2465, 59, 1918, 30, 92, "Input"],
Cell[4386, 91, 3684, 85, 512, "Input"],
Cell[CellGroupData[{
Cell[8095, 180, 21803, 462, 1712, "Input"],
Cell[29901, 644, 19636, 387, 75, "Output"],
Cell[49540, 1033, 1876, 26, 31, "Output"],
Cell[51419, 1061, 1932, 27, 31, "Output"]
}, Open  ]],
Cell[53366, 1091, 69, 1, 31, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
